<div class="container" *ngIf="!isviewpdf">
    <h2>
        <span>Buat Data Invoice Pelunasan</span>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="ui-g-12" style="background-color: white">
        <div class="ui-g-12" style="margin-top: 10px;">
            <div class="row">
                <div class="ui-g-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_nott">No Tanda Terima</label>
                        <div class="ui-g-12">
                            <div class="ui-g-4">
                                <button type="button"
                                    [routerLink]="['/', { outlets: { popup: 'tanda-terima-as-lov'  } }]"
                                    replaceUrl="true" label="cari" class="btn btn-danger btn-block">
                                    <span>Tanda Terima <i class="fa fa-search" aria-hidden="true"></i></span>
                                </button>
                            </div>
                        </div>
                        <input type="text" class="form-control" name="address" id="field_nott"
                            [(ngModel)]="inv.receiptno" autocomplete="off" [disabled]='isview' />
                    </div>
                </div>
                <div class="ui-g-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_tgltt">Tanggal Tanda Terima</label>
                        <p-calendar [showIcon]="true" [(ngModel)]="dtReceipt" [disabled]='isview'></p-calendar>
                    </div>
                </div>
                <div class="ui-g-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_Tipe">No Faktur Suplier</label>
                        <input type="text" class="form-control" name="address" id="field_address"
                            [(ngModel)]="inv.invno" autocomplete="off" [disabled]="isview" />
                    </div>
                </div>
                <div class="ui-g-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_Tipe">No Faktur Pajak Suplier</label>
                        <input type="text" class="form-control" name="kpayterms" id="field_payterms"
                            [(ngModel)]="inv.taxinvno" autocomplete="off" [disabled]="isview" />
                    </div>
                </div>
                <div class="ui-g-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                        <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                            (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier" [minLength]="1"
                            field="nmSupplier" placeholder="Silahkan Pilih" (onSelect)="selectSupplier(true)"
                            [dropdown]="true"></p-autoComplete>
                    </div>
                </div>

                <div class="ui-g-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_nmspl">Kode Supplier</label>
                        <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredCodeSuppliers"
                            (completeMethod)="filterSupplierCodeSingle($event)" [size]="34" name="suplier"
                            [minLength]="1" field="kd_suppnew" placeholder="Silahkan Pilih"
                            (onSelect)="selectSupplier(true)" [dropdown]="true"></p-autoComplete>
                    </div>
                </div>
                <div class="ui-g-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_nmspl">Mata Uang</label>
                        <input type="text" class="form-control" name="valuta" id="field_valuta" [(ngModel)]="inv.valuta"
                            [disabled]='true' />
                    </div>
                </div>
            </div>
        </div>
        <br>
        <div class="ui-g-4">
            <button type="button" [routerLink]="['/', { outlets: { popup: 'po-bbm-as-lov/' + inv.invfrom +'/true' } }]"
                replaceUrl="true" label="cari" class="btn btn-danger btn-block" [disabled]="isview">
                <span>Cari Nomor PO (BBM)</span>
            </button>
            <button type="button" [routerLink]="['/', { outlets: { popup: 'po-bbm-as-lov/' + inv.invfrom +'/false'} }]"
                replaceUrl="true" label="cari" class="btn btn-info btn-block" [disabled]="isview">
                <span>Cari Nomor PO (Tanpa BBM)</span>
            </button>
        </div>
        <div class="ui-g-12">
            <p-dataTable [value]="invItems" [editable]="true" [responsive]="true">
                <header>
                </header>
                <p-column header="No">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="No PO">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.nopo}}
                    </ng-template>
                </p-column>
                <p-column header="No BBM">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <a (click)="openPdf(rowData)">{{rowData.nobbm}}</a>
                    </ng-template>
                </p-column>
                <p-column header="No SJ">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.donum}}
                    </ng-template>
                </p-column>
                <p-column header="No LHP">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.nolhp}}
                    </ng-template>
                </p-column>
                <p-column header="Status LHP">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.statuslhp}}
                    </ng-template>
                </p-column>
                <p-column header="Kode Barang">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.productcode}}
                    </ng-template>
                </p-column>
                <p-column header="Nama Barang">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.productname}}
                    </ng-template>
                </p-column>
                <p-column header="QTY">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty}}
                    </ng-template>
                </p-column>
                <p-column header="QTY Tagih">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <input type="number" onkeydown="javascript: return event.keyCode == 69 ? false : true"
                            name="discpercent" id="field_discpercent" [(ngModel)]="rowData.qtypaid"
                            (blur)="countDisc(rowData)" style="width: 100px;" />
                    </ng-template>
                </p-column>
                <p-column header="Harga Satuan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.price}}
                    </ng-template>
                </p-column>
                <p-column header="Disc %">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <input type="number" onkeydown="javascript: return event.keyCode == 69 ? false : true"
                            name="discpercent" id="field_discpercent" [(ngModel)]="rowData.discpercent"
                            (blur)="countDisc(rowData)" style="width: 100px;" />
                    </ng-template>
                </p-column>
                <p-column header="Disc Proporsional">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <input type="number" onkeydown="javascript: return event.keyCode == 69 ? false : true"
                            name="totaldisc" id="field_totaldisc" [(ngModel)]="rowData.discprop"
                            (blur)="countDisc(rowData)" style="width: 100px;" disabled />
                    </ng-template>
                </p-column>
                <p-column header="Total Disc">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <input type="number" onkeydown="javascript: return event.keyCode == 69 ? false : true"
                            name="totaldisc" id="field_totaldisc" [(ngModel)]="rowData.totaldisc"
                            (blur)="countDisc(rowData)" style="width: 100px;" />
                    </ng-template>
                </p-column>
                <p-column header="Harga Total">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <input type="number" onkeydown="javascript: return event.keyCode == 69 ? false : true"
                            name="totaldisc" id="field_totaldisc" [(ngModel)]="rowData.totalprice" style="width: 100px;"
                            disabled />
                    </ng-template>
                </p-column>
                <p-column header="Aksi">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit" (click)="deleteListArray(rowData)"
                            class="ui-button-danger flat-label-button" icon="fa fa-remove" pTooltip="Hapus Item">
                        </button>
                    </ng-template>
                </p-column>
            </p-dataTable>
        </div>
        <div class="ui-g-12">
            <div class="modal-body">
                <p-dataTable [value]="purchasings" [editable]="true" [responsive]="true">
                    <header>
                    </header>
                    <p-column header="No">
                        <ng-template let-rowIndex="rowIndex" pTemplate="body">
                            {{rowIndex + 1}}
                        </ng-template>
                    </p-column>
                    <p-column header="No PO">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.nopurchasing}}
                        </ng-template>
                    </p-column>
                    <p-column header="UM">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.uangmuka | number:'1.0-2'}}
                        </ng-template>
                    </p-column>
                    <p-column header="DP">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.downpayment | number:'1.0-2'}}
                        </ng-template>
                    </p-column>
                    <p-column header="Sudah Dibayar">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.payment | number:'1.0-2'}}
                        </ng-template>
                    </p-column>>
                    <p-column header="Total PO">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.totalprice | number:'1.0-2'}}
                        </ng-template>
                    </p-column>
                    <!-- <p-column header="Total PO Belum Bayar">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.totalprice - rowData.downpayment - rowData.payment | number:'1.0-2'}}
                        </ng-template>
                    </p-column> -->
                </p-dataTable>
            </div>
        </div>
        <div class="ui-g-8"></div>
        <div class="ui-g-4" *ngIf="inv.valuta === 'Rp'">
            <div class="ui-g-12">
                <label class="form-control-label" for="field_total">Total</label>
                <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="inv.total"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                    (blur)="countPrice2(null)" />
            </div>
            <div class="ui-g-12">
                <!-- <label class="form-control-label" for="field_Tipe">Disc Proporsional Item ?</label> -->
                <!-- <p-checkbox name="isprop" binary="true" [(ngModel)]="isprop" (click)="countPrice(null)"></p-checkbox> -->
                <label class="form-control-label" for="field_total">Disc</label>
                <input currencyMask class="form-control" name="disc" id="field_disc" [(ngModel)]="inv.disc"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                    (blur)="countPrice2(null)" />
            </div>
            <div class="ui-g-12">
                <label class="form-control-label" for="field_total">Disc Invoice</label>
                <input currencyMask class="form-control" name="cutcost" id="field_cutcost" [(ngModel)]="inv.invdisc"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                    (blur)="countPrice2(null)" />
            </div>
            <div class="ui-g-12">
                <label class="form-control-label" for="field_total">Sub Total</label>
                <input currencyMask class="form-control" name="subtotal" id="field_subtotal" [(ngModel)]="inv.subtotal"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                    (blur)="countPrice2(null)" />
            </div>
            <div class="ui-g-12">
                <label class="form-control-label" for="field_total">PPN</label><br>
                <label class="form-control-label" for="field_Tipe">Checklist 10% / Uncheck 11%</label>
                <p-checkbox inputId="opt2" name="ppncheck" binary="true" [(ngModel)]="nomppn" (click)="countPrice2(null)"></p-checkbox>
                <input currencyMask class="form-control" name="ppn" id="field_ppn" [(ngModel)]="totalppn"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                    (blur)="countPrice2(null)" />
            </div>
            <!-- <div class="ui-g-12">
                <label class="form-control-label" for="field_total">Kurs</label>
                <input currencyMask class="form-control" name="ppn" id="field_ppn" [(ngModel)]="inv.kurs"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                    (blur)="countPrice(null)" />
            </div> -->
            <div class="ui-g-12">
                <label class="form-control-label" for="field_total">Uangmuka</label>
                <input currencyMask class="form-control" name="uangmuka" id="field_uangmuka" [(ngModel)]="inv.uangmuka"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                    (blur)="countPrice2(null)" />
            </div>
            <div class="ui-g-12">
                <label class="form-control-label" for="field_total">Down Payment</label>
                <input currencyMask class="form-control" name="downpayment" id="field_downpayment"
                    [(ngModel)]="inv.downpayment"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                    (blur)="countPrice2(null)" />
            </div>
            <div class="ui-g-12">
                <label class="form-control-label" for="field_total">Biaya Potongan</label>
                <input currencyMask class="form-control" name="cutcost" id="field_cutcost" [(ngModel)]="inv.cutcost"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                    (blur)="countPrice2(null)" />
            </div>
            <div class="ui-g-12">
                <label class="form-control-label" for="field_total">Catatan Biaya Potongan</label>
                <input class="form-control" type="text" [(ngModel)]="inv.notecutcost" style="width: 100%;" />
                <label class="form-control-label" for="field_note">Contoh "Trade In"</label>
            </div>
            <div class="ui-g-12">
                <label class="form-control-label" for="field_total">Grand Total</label>
                <div class="ui-g-12">
                    <div class="ui-g-6">
                        <label class="form-control-label" for="field_Tipe">Pembulatan ?</label>
                        <p-checkbox inputId="opt2" name="group1" binary="true" [(ngModel)]="pembulatan" (click)="countPrice2(null)"></p-checkbox>
                        <label class="form-control-label" for="field_Tipe">{{lblpembualatan}}</label>
                    </div>
                    <div class="ui-g-6" *ngIf="pembulatan === true">
                        <p-checkbox inputId="opt3" name="group2" binary="true" [(ngModel)]="jnspembulatan" (click)="countPrice2(null)"></p-checkbox>
                        <label class="form-control-label" for="field_Tipe">{{lbljnspembulatan}}</label>
                    </div>
                </div>
                <input currencyMask class="form-control" name="grandtotal" id="field_grandtotal"
                    [(ngModel)]="inv.grandtotal"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '5' }"
                    (blur)="countPrice2(null)" />
            </div>
        </div>
        <div class="ui-g-4" *ngIf="inv.valuta !== 'Rp'">
            <div class="ui-g-12">
                <label class="form-control-label" for="field_total">Total</label>
                <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="inv.total"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '5' }"
                    (blur)="countPrice2(null)" />
            </div>
            <div class="ui-g-12">
                <!-- <label class="form-control-label" for="field_Tipe">Disc Proporsional Item ?</label> -->
                <!-- <p-checkbox name="isprop" binary="true" [(ngModel)]="isprop" (click)="countPrice(null)"></p-checkbox> -->
                <label class="form-control-label" for="field_total">Disc</label>
                <input currencyMask class="form-control" name="disc" id="field_disc" [(ngModel)]="inv.disc"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '5' }"
                    (blur)="countPrice2(null)" />
            </div>            
            <div class="ui-g-12">
                <label class="form-control-label" for="field_total">Disc Invoice</label>
                <input currencyMask class="form-control" name="cutcost" id="field_cutcost" [(ngModel)]="inv.invdisc"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                    (blur)="countPrice2(null)" />
            </div>
            <div class="ui-g-12">
                <label class="form-control-label" for="field_total">Sub Total</label>
                <input currencyMask class="form-control" name="subtotal" id="field_subtotal" [(ngModel)]="inv.subtotal"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '5' }"
                    (blur)="countPrice2(null)" />
            </div>
            <div class="ui-g-12">
                <label class="form-control-label" for="field_total">PPN</label><br>
                <label class="form-control-label" for="field_Tipe">Checklist 10% / Uncheck 11%-</label>
                <p-checkbox inputId="opt2" name="ppncheck" binary="true" [(ngModel)]="nomppn" (click)="countPrice2(null)"></p-checkbox>
                <input currencyMask class="form-control" name="ppn" id="field_ppn" [(ngModel)]="totalppn"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '5' }"
                    (blur)="countPrice2(null)" />
            </div>
            <div class="ui-g-12">
                <label class="form-control-label" for="field_total">Kurs</label>
                <input currencyMask class="form-control" name="ppn" id="field_ppn" [(ngModel)]="inv.kurs"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                    (blur)="countPrice2(null)" />
            </div>
            <div class="ui-g-12">
                <label class="form-control-label" for="field_total">Uangmuka</label>
                <input currencyMask class="form-control" name="uangmuka" id="field_uangmuka" [(ngModel)]="inv.uangmuka"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '5' }"
                    (blur)="countPrice2(null)" />
            </div>
            <div class="ui-g-12">
                <label class="form-control-label" for="field_total">Down Payment</label>
                <input currencyMask class="form-control" name="downpayment" id="field_downpayment"
                    [(ngModel)]="inv.downpayment"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '5' }"
                    (blur)="countPrice2(null)" />
            </div>
            <div class="ui-g-12">
                <label class="form-control-label" for="field_total">Biaya Potongan</label>
                <input currencyMask class="form-control" name="cutcost" id="field_cutcost" [(ngModel)]="inv.cutcost"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '5' }"
                    (blur)="countPrice2(null)" />
            </div>
            <div class="ui-g-12">
                <label class="form-control-label" for="field_total">Catatan Biaya Potongan</label>
                <input class="form-control" type="text" [(ngModel)]="inv.notecutcost" style="width: 100%;" />
                <label class="form-control-label" for="field_note">Contoh "Trade In"</label>
            </div>
            <div class="ui-g-12">
                <label class="form-control-label" for="field_total">Grand Total</label>
                <div class="ui-g-12">
                    <div class="ui-g-6">
                        <label class="form-control-label" for="field_Tipe">Pembulatan ?</label>
                        <p-checkbox inputId="opt2" name="group1" binary="true" [(ngModel)]="pembulatan" (click)="countPrice2(null)"></p-checkbox>
                        <label class="form-control-label" for="field_Tipe">{{lblpembualatan}}</label>
                    </div>
                    <div class="ui-g-6" *ngIf="pembulatan === true">
                        <p-checkbox inputId="opt3" name="group2" binary="true" [(ngModel)]="jnspembulatan" (click)="countPrice2(null)"></p-checkbox>
                        <label class="form-control-label" for="field_Tipe">{{lbljnspembulatan}}</label>
                    </div>
                </div>
                <input currencyMask class="form-control" name="grandtotal" id="field_grandtotal"
                    [(ngModel)]="inv.grandtotal"
                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '5' }"
                    (blur)="countPrice2(null)" />
            </div>
        </div>
        <div class="ui-g-12" style="margin-bottom: 50px;">
            <div class="btn-group flex-btn-group-container">
                <button pButton type="submit" label="Simpan" icon="fa-save" class="ui-button-primary flat-label-button"
                    (click)="createINV()" [disabled]="isview">
                </button>
                <button pButton label="Kembali" class="ui-button-primary flat-label-button" (click)="backMainPage()">
                </button>
            </div>
        </div>
    </div>
</div>
<div *ngIf="isviewpdf">
    <form name="printForm" role="form" novalidate #editForm="ngForm">
        <div>
            <button pButton type="submit" label="print" icon="fa-print" class=" ui-button-success flat-label-button"
                (click)="print()" [disabled]="invbbm.totalprint > 0">
            </button>
            <button  pButton type="submit" label="Download" icon="fa-download" class="ui-button-info flat-label-button"
                (click)="downloadBlob()" [disabled]="invbbm.totalprint > 0">
            </button>
            <button  pButton label="Back" class="ui-button-danger flat-label-button" (click)="backMainPageNew()">
            </button>
        </div>
        <div>
            <pdf-viewer [src]="pdfSrc" [render-text]="true" style="display: block;" [show-all]="true"></pdf-viewer>
        </div>
    </form>
</div>
<div style="margin-top: 50px;"></div>
<p-confirmDialog></p-confirmDialog>